#!/usr/bin/perl;
#Programme qui construit un dictionnaire qui contient tous les mots d'un fichier et leur fréquence : 
#1.segmenter les chaines de caractères en mots
#2.écrire dans un dico
#3.compter da frequence

open(FILE1,"$ARGV[0]");		#ouvrir un fichier en lecture
open(FILE2,">$ARGV[1]");	#ouvrir un autre fichier en écriture
while ($ligne=<FILE1>) {	#tant que je peux lire une ligne dans le descripteur FILE1
	$line=~s/<[^>]+>//g; 	#j'enlève les balises
	$line =~ s/^\W+//g;	#j'enlève les espaces en debut de ligne
	$line =~ s/\W+$//g;	#j'enlève les espaces en fin de ligne
	@listedemots=split(//,$ligne);	# je découpe la ligne sur la base des non-caractères de mots
	foreach $mot (listedemots) {	#pour chaque mot de ma liste
		$dicodesmots($mots)++;	#je l'inscrit dans le dico et incrémente sa valeur de fréquence
	}
}
foreach $mot (keys @dicodemots) {	#pour chaque mot de la clé du dico
	print FILE2 "MOT : $mot, FREQ : $didcodemots($mot)\n";
	}
close(FILE1);
close(FILE2);
exit;


